This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 754772 - Convert all uses of "fedora-13" machine type into "pc-0.14"
Convert all uses of "fedora-13" machine type into "pc-0.14"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
16
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Laine Stump
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-17 12:17 EST by Dave Allan
Modified: 2016-04-26 09:56 EDT (History)
11 users (show)

See Also:
Fixed In Version: libvirt-0.9.6-4.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-05 15:59:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Allan 2011-11-17 12:17:41 EST
Description of problem:
qemu removed support for the fedora-13 machine type in F16, with the result that VMs created with older toolchains fail to boot after the host is upgraded to F16.  

How reproducible:
100%

Steps to Reproduce:
1. Create a VM with the "fedora-13" machine type on a F15 host
2. Upgrade the host to F16
3. Attempt to boot the VM

Actual results:
VM fails to boot with the message:

error: Failed to start domain foo
error: internal error process exited while connecting to monitor: Supported machines are:
pc         Standard PC (alias of pc-0.14)
pc-0.14    Standard PC (default)
pc-0.13    Standard PC
pc-0.12    Standard PC
pc-0.11    Standard PC, qemu 0.11
pc-0.10    Standard PC, qemu 0.10
isapc      ISA-only PC


Expected results:
Libvirt detects and reports that the user has specified a machine type that qemu does not understand, showing both the user specified value and the list of values that qemu supports.

Additional info:
IMO this needs to be fixed immediately as it has already resulted in 3 BZs filed against libvirt for non-booting VMs.
Comment 1 Laine Stump 2011-11-21 11:29:14 EST
After further discussions, we decided to reinstate support for the fedora-13 machine type in F16 qemu (to be removed for good with the release of F17) - see Bug 748218, while at the same time adding a Fedora-specific patch to libvirt that will catch uses of that machine as they pass by and convert them to "pc-0.13" (which to the best of our knowledge is exactly equivalent to "fedora-13") while logging a warning to indicate what was done. This patch will be carried at least through Fedora 17, possibly into Fedora 18. By that time, hopefully all uses of fedora-13 will have disappeared; for those that manage to sneak through, the change will be release-noted.
Comment 2 Fedora Admin XMLRPC Client 2011-11-30 14:33:39 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-11-30 14:37:12 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 14:44:44 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 14:55:17 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Tom "spot" Callaway 2011-12-09 10:32:23 EST
Is there any progress on this? I'm running rawhide and all of my old VMs won't start.

I'm happy to test a patch, or apply some sort of manual fix to convert the machine types.
Comment 7 Tom "spot" Callaway 2011-12-09 10:35:54 EST
Never mind, I see the manual workaround description in 748218.
Comment 8 Laine Stump 2011-12-09 11:16:23 EST
Last night I posted a potential patch for this to virt@lists.fedoraprojects.org. There are still a couple things to clean up before including it in Fedora builds:

https://lists.fedoraproject.org/pipermail/virt/2011-December/003066.html
Comment 9 Fedora Update System 2011-12-19 21:08:29 EST
libvirt-0.9.6-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libvirt-0.9.6-4.fc16
Comment 10 Fedora Update System 2011-12-22 17:34:32 EST
Package libvirt-0.9.6-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-0.9.6-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17267/libvirt-0.9.6-4.fc16
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-01-05 15:59:14 EST
libvirt-0.9.6-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-03-09 04:45:42 EST
libvirt-0.9.10-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libvirt-0.9.10-2.fc17
Comment 13 Fedora Update System 2012-03-21 14:55:48 EDT
libvirt-0.9.10-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.